package com.liangjian.dataplatform.member.controller;


import com.liangjian.dataplatform.member.entity.po.secondary.FiltersData;
import com.liangjian.dataplatform.member.service.IMemFriendsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("/memFriends")
public class MemFriendsController {

    @Autowired
    private IMemFriendsService memFriendsService;

    @PostMapping("/memberFriends")
    public Map<String, Object> memberFriends(@ApiParam(value = "参数", required = true) @RequestBody FiltersData data) {

        return memFriendsService.memberFriends(data);
    }

}
