package com.liangjian.dataplatform.member.dao.elasticsearch;

import com.liangjian.dataplatform.member.entity.po.elasticsearch.UserGrowthLog;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.elasticsearch.repository.ElasticsearchCrudRepository;

/**
 * @Author: 黄子奇
 * @Date: 2019/11/16
 */
public interface UserGrowthLogRepository extends ElasticsearchCrudRepository<UserGrowthLog, String> {

    Page<UserGrowthLog> findBySecretPhone(String secretPhone, Pageable pageable);

    Page<UserGrowthLog> findBySecretPhoneAndIncrease(String secretPhone, boolean increase, Pageable pageable);
}
