package com.liangjian.dataplatform.member.dao.primary;

import com.liangjian.dataplatform.member.dao.JpaLifeCycleRepository;
import com.liangjian.dataplatform.member.entity.po.primary.FeatureInfo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/**
 * @Author: 黄子奇
 * @Date: 2019/9/23 17:34
 */
public interface FeatureInfoRepository extends JpaLifeCycleRepository<FeatureInfo, String> {

    Page<FeatureInfo> queryByNameLike(String name, Pageable pageable);

    FeatureInfo queryById(String id);
}
