package com.liangjian.dataplatform.member.dao.primary;

import com.liangjian.dataplatform.member.dao.JpaLifeCycleRepository;
import com.liangjian.dataplatform.member.entity.po.primary.SqlEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/**
 * @Author: 黄子奇
 * @Date: 2019/10/21
 */
public interface SqlEntityRepository extends JpaLifeCycleRepository<SqlEntity, String> {

    Page<SqlEntity> queryByDescriptionLike(String desc, Pageable pageable);

    SqlEntity queryById(String id);
}
