package com.liangjian.dataplatform.member.dao.secondary;

import com.liangjian.dataplatform.member.entity.po.secondary.MemIngProductPic;
import com.liangjian.dataplatform.member.entity.po.secondary.MemIngProductType;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import javax.transaction.Transactional;
import java.util.List;


public interface UserProductPicRepository extends JpaRepository<MemIngProductPic, String>, JpaSpecificationExecutor<MemIngProductPic> {

    int deleteByProductCode(String productCode);

    List<MemIngProductPic> findAllByProductCode(String product);
}
