package com.liangjian.dataplatform.member.service;

/**
 * @Author: 黄子奇
 * @Date: 2019/11/14
 */
public interface IPhoneSMSService {

    /**
     * 发送手机验证码
     *
     * @param phone
     * @param code
     * @throws Exception
     */
    void sendSms(String phone, String code) throws Exception;

    /**
     * 验证手机验证码
     *
     * @param phone
     * @param code
     * @return
     * @throws Exception
     */
    boolean verifyPhoneCode(String phone, String code);
}
