package com.liangjian.dataplatform.member.controller;

import com.liangjian.dataplatform.member.entity.po.primary.PlatformObject;
import com.liangjian.dataplatform.member.entity.response.ResultObject;
import com.liangjian.dataplatform.member.service.IPlatformObjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/object")
public class PlatformObjectController {

    @Autowired
    private IPlatformObjectService platformObjectService;

    @RequestMapping("/loadAll")
    public ResultObject<List<PlatformObject>> loadAll(){
        List<PlatformObject>list=platformObjectService.findAll();
        return ResultObject.success(list);
    }

}
