package com.liangjian.dataplatform.member.controller;

import com.liangjian.dataplatform.member.entity.po.secondary.FiltersData;
import com.liangjian.dataplatform.member.service.IPrescriptionproductService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("/prescriptionproduct")
@Api(value = "就诊处方控制器", tags = "就诊处方详情", description = "就诊处方控制器")
public class PrescriptionproductController {

    @Autowired
    private IPrescriptionproductService prescriptionproductService;


    @PostMapping("/index")
    private Map<String, Object> index(@ApiParam(value = "参数", required = true) @RequestBody FiltersData data) {

        return prescriptionproductService.index(data);
    }


}
