package com.liangjian.dataplatform.member.dao.primary;

import com.liangjian.dataplatform.member.dao.JpaLifeCycleRepository;
import com.liangjian.dataplatform.member.entity.po.primary.FeatureLog;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @Author: 黄子奇
 * @Date: 2019/9/24 14:35
 */
public interface FeatureLogRepository extends JpaLifeCycleRepository<FeatureLog, String> {

    Page<FeatureLog> queryByInfoId(String infoId, Pageable pageable);

    List<FeatureLog> queryByInfoId(String infoId);
}
