package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.elasticsearch.ProductData;
import com.liangjian.dataplatform.member.entity.po.elasticsearch.ProductDataTag;
import com.liangjian.dataplatform.member.entity.vo.request.BirdGirdRequest;
import com.liangjian.dataplatform.member.entity.vo.response.BirdGirdTableResponse2;

import java.util.ArrayList;

/**
 * @author 黄树文
 * @date 2020/3/10 9:33
 */
public interface IProductDataService {

    BirdGirdTableResponse2<ProductData> queryByCondition(BirdGirdRequest girdRequest);

    BirdGirdTableResponse2<ProductDataTag> findProductDataTag(String kw, Integer page, Integer size);

    boolean deleteProductDataTagById(String id);

    boolean saveAllProductDataTag(ArrayList<ProductDataTag> productDataTags);
}
